=== debian/changelog ===
ros-indigo-joint-trajectory-controller (0.9.4-0trusty) trusty; urgency=high

  * Fix for issue #275 <https://github.com/ros-controls/roscontrollers/issues/275> (State error calculation not accounting for wrapping joint positions)
  * Contributors: bponsler

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 30 Jun 2017 23:00:00 -0000

ros-indigo-joint-trajectory-controller (0.9.3-0trusty) trusty; urgency=high

  * Add joint limits spec to rrbot test robot
  * Address -Wunused-parameter warnings
  * reset to semantic zero in HardwareInterfaceAdapter for PositionJointInterface
  * Contributors: Adolfo Rodriguez Tsouroukdissian, ipa-fxm

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-joint-trajectory-controller (0.9.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-joint-trajectory-controller (0.9.1-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-joint-trajectory-controller (0.9.0-0trusty) trusty; urgency=high

  * Check that waypoint times are strictly increasing before accepting a command
  * velocity_controllers::JointTrajectoryController: New plugin variant for
    velocity-controlled joints
  * Buildsystem fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn, ipa-fxm, Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-joint-trajectory-controller (0.8.1-0trusty) trusty; urgency=high

  * joint_trajectory_controller: Critical targets declared before calling catkin_package
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Jonathan Bohren, Lukas Bulwahn

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-indigo-joint-trajectory-controller (0.8.0-0trusty) trusty; urgency=high

  * Remove rosbuild artifacts. Fix #90 <https://github.com/ros-controls/ros_controllers/issues/90>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-joint-trajectory-controller (0.7.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-joint-trajectory-controller (0.7.1-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-joint-trajectory-controller (0.7.0-0trusty) trusty; urgency=high

  * Add support for an joint interfaces are not inherited from JointHandle.
  * Contributors: Igorec

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-indigo-joint-trajectory-controller (0.6.0-0trusty) trusty; urgency=high

  * Merge pull request #72 <https://github.com/ros-controls/ros_controllers/issues/72> from pal-robotics/minor-maintenance
    Minor maintenance
  * Default stop_trajectory_duration to zero. Refs #73 <https://github.com/ros-controls/ros_controllers/issues/73>
  * Better logs when dropping traj points. Refs #68 <https://github.com/ros-controls/ros_controllers/issues/68>.
  * Fix class member reorder warning in constructor.
  * Add missing headers to target files.
  * Action interface rejects empty goals. Fixes #70 <https://github.com/ros-controls/ros_controllers/issues/70>.
  * Reorder how time and traj data are updated.
    In the update method, fetching the currently executed trajectory should be done
    before updating the time data to prevent a potential scenario in which there
    is no trajectory defined for the current control cycle.
  * Work tolerance checking methods.
    Until now we used the currently active goal handle for performing tolerance
    checks. Using the goal handle stored in segments is more robust to unexpected
    goal updates by the non-rt thread.
  * Refactor how the currrent trajectory is stored.
    - Handle concurrency in the current trajectory between rt and non-rt threads
    using the simpler RealtimeBox instead of the RealtimeBuffer, because our
    usecase does not fit well the non-rt->writes / rt->reads semantics.
    - As a consequence we no longer need to store the msg_trajectory member, but
    only the hold_trajectory, which must still be preallocated.
  * Honor unspecified vel/acc in ROS message. Fix #65 <https://github.com/ros-controls/ros_controllers/issues/65>.
  * Fixes per Adolfo
  * Added verbose flag
  * Fixing realtime issues
  * Merge branch 'hydro-devel' into joint_trajectory_tweaks
  * Tweaked error messages
  * Added more debug info
  * Fix for microsecond delay that caused header time=0 (now) to start too late
  * Reworded debug message
  * Image update.
  * Update README.md
    Factor out user documentation to the ROS wiki.
  * Merge branch 'hydro-devel' of https://github.com/willowgarage/ros_controllers into hydro-devel
  * Rename hold_trajectory_duration
    - hold_trajectory_duration -> stop_trajectory_duration for more clarity.
    - During Hydro, hold_trajectory_duration will still work, giving a deprecation
    warning.
  * Add basic description in package.xml.
  * Add images used in the ROS wiki doc.
  * Added better debug info
  * Throttled debug output
  * Added more debug and error information
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-indigo-joint-trajectory-controller (0.5.4-0trusty) trusty; urgency=high

  * Added install rules for plugin.xml
  * Remove PID sign flip.
    This is now done in the state error computation.

