=== debian/control ===
Source: ros-indigo-joint-trajectory-controller
Section: misc
Priority: extra
Maintainer: Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-control-msgs, ros-indigo-control-toolbox, ros-indigo-controller-interface, ros-indigo-controller-manager, ros-indigo-hardware-interface, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-trajectory-msgs, ros-indigo-urdf, ros-indigo-xacro
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-indigo-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-control-msgs, ros-indigo-control-toolbox, ros-indigo-controller-interface, ros-indigo-controller-manager, ros-indigo-hardware-interface, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-rqt-plot, ros-indigo-trajectory-msgs, ros-indigo-urdf, ros-indigo-xacro
Description: Controller for executing joint-space trajectories on a group of joints.
